=== modified file 'client/Makefile.am'
--- client/Makefile.am	2008-07-02 14:35:48 +0000
+++ client/Makefile.am	2008-07-04 13:45:27 +0000
@@ -55,7 +55,7 @@
 				$(top_srcdir)/mysys/my_new.cc \
 				$(top_srcdir)/mysys/my_bit.c \
 				$(top_srcdir)/mysys/my_bitmap.c \
-				$(top_srcdir)/mysys/base64.c
+				$(top_srcdir)/mysys/base64.c 
 mysqlbinlog_LDADD =		$(LDADD) $(CXXLDFLAGS) 
 
 mysqldump_SOURCES=              mysqldump.c \

=== modified file 'configure.ac'
--- configure.ac	2008-07-02 18:52:40 +0000
+++ configure.ac	2008-07-04 13:45:27 +0000
@@ -200,14 +200,6 @@
 
 AC_SUBST(NM)dnl
 
-# NM= "$NM -X64"
-#archive_expsym_cmds= `echo "$archive_expsym_cmds" | sed -e '/"$(CC)"//'`
-#archive_expsym_cmds= "$CC -q64 $archive_expsym_cmds"
-#  CXXFLAGS=`echo "$CXXFLAGS -Werror" | sed -e 's/-fbranch-probabilities//; s/-Wall//; s/-ansi//; s/-pedantic//; s/-Wcheck//'`
-
-#AC_LIBTOOL_DLOPEN AC_LIBTOOL_WIN32_DLL AC_DISABLE_FAST_INSTALL AC_DISABLE_SHARED AC_DISABLE_STATIC
-
-# AC_PROG_INSTALL
 AC_PROG_INSTALL
 test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL_PROGRAM}'
 
@@ -260,6 +252,7 @@
 AC_SUBST(LD)
 AC_SUBST(INSTALL_SCRIPT)
 
+
 export CC CXX CFLAGS LD LDFLAGS AR ARFLAGS
 
 if test "$GCC" = "yes"
@@ -270,8 +263,8 @@
   # We should use -Wno-invalid-offsetof flag to disable some warnings from gcc
   # regarding offset() usage in C++ which are done in a safe manner in the
   # server
-  CXXFLAGS="$CXXFLAGS -Wall -fno-implicit-templates -fno-exceptions -fno-rtti"
-  CFLAGS="$CFLAGS -Wall"
+  CXXFLAGS="$CXXFLAGS ${GCC_WARNINGS} -fno-implicit-templates -fno-exceptions -fno-rtti"
+  CFLAGS="$CFLAGS ${GCC_WARNINGS} "
   AC_DEFINE([HAVE_EXPLICIT_TEMPLATE_INSTANTIATION],
     [1], [Defined by configure. Use explicit template instantiation.])
 fi
@@ -580,9 +573,10 @@
 AC_HEADER_DIRENT
 AC_HEADER_STDC
 AC_HEADER_SYS_WAIT
+AC_HEADER_STDBOOL
 AC_CHECK_HEADERS(fcntl.h float.h floatingpoint.h fpu_control.h ieeefp.h \
  limits.h memory.h pwd.h select.h \
- stdlib.h stddef.h sys/fpu.h \
+ stdlib.h stddef.h stdint.h sys/fpu.h \
  strings.h string.h synch.h sys/mman.h sys/socket.h netinet/in.h arpa/inet.h \
  sys/timeb.h sys/types.h sys/un.h sys/vadvise.h sys/wait.h term.h \
  unistd.h utime.h sys/utime.h termio.h termios.h sched.h crypt.h alloca.h \
@@ -1177,6 +1171,42 @@
 AC_SUBST(mysql_plugin_libs)
 AC_SUBST(mysql_plugin_defs)
 
+AC_ARG_ENABLE([pedantic-warnings],
+    [AS_HELP_STRING([--disable-pedantic-warnings],
+       [Toggle pedanticness @<:@default=on@:>@])],
+    [ac_warn_pedantic="$enableval"],
+    [ac_warn_pedantic="yes"])
+
+AC_ARG_ENABLE([fail],
+    [AS_HELP_STRING([--enable-fail],
+       [Turn warnings into failures @<:@default=off@:>@])],
+    [ac_warn_fail="$enableval"],
+    [ac_warn_fail="no"])
+
+
+if test "$GCC" = "yes"
+then
+
+  GCC_WARNINGS="-W -Wall"
+  GXX_WARNINGS="${GCC_WARNINGS}"
+
+
+  if test "$ac_warn_pedantic" = "yes"
+  then
+    GCC_WARNINGS="${GCC_WARNINGS}  -std=gnu99 -pedantic -Wundef -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wredundant-decls -Wunreachable-code"
+    GXX_WARNINGS="${GXX_WARNINGS}  -std=gnu++98 -pedantic -Wundef -Wredundant-decls -Wunreachable-code"
+  fi
+
+  if test "$ac_warn_fail" = "yes"
+  then
+    GCC_WARNINGS="${GCC_WARNINGS} -Werror"
+    GXX_WARNINGS="${GXX_WARNINGS} -Werror"
+  fi
+
+    CXXFLAGS="$CXXFLAGS ${GXX_WARNINGS}"
+    CFLAGS="$CFLAGS ${GCC_WARNINGS} "
+fi
+
 # Some usefull subst
 AC_SUBST(CC)
 AC_SUBST(GXX)

=== modified file 'include/m_string.h'
--- include/m_string.h	2008-06-25 05:29:13 +0000
+++ include/m_string.h	2008-07-04 13:45:27 +0000
@@ -83,9 +83,6 @@
 
 #if defined(HAVE_STPCPY)
 #define strmov(A,B) stpcpy((A),(B))
-#ifndef stpcpy
-extern char *stpcpy(char *, const char *);	/* For AIX with gcc 2.95.3 */
-#endif
 #endif
 
 /* Declared in int2str() */

=== modified file 'include/my_global.h'
--- include/my_global.h	2008-07-02 14:35:48 +0000
+++ include/my_global.h	2008-07-04 13:45:27 +0000
@@ -157,13 +157,9 @@
   now let's figure out if inline functions are supported
   autoconf defines 'inline' to be empty, if not
 */
-#define inline_test_1(X)        X ## 1
-#define inline_test_2(X)        inline_test_1(X)
-#if inline_test_2(inline) != 1
+#if defined(inline)
 #define HAVE_INLINE
 #endif
-#undef inline_test_2
-#undef inline_test_1
 /* helper macro for "instantiating" inline functions */
 #define STATIC_INLINE static inline
 
@@ -320,6 +316,14 @@
 #include <crypt.h>
 #endif
 
+#if defined(HAVE_STDINT_H)
+#include <stdint.h>
+#endif
+#if defined(HAVE_STDBOOL_H)
+#include <stdbool.h>
+#endif
+
+
 /*
   A lot of our programs uses asserts, so better to always include it
   This also fixes a problem when people uses DBUG_ASSERT without including
@@ -340,7 +344,7 @@
 #endif
 
 /* Declare madvise where it is not declared for C++, like Solaris */
-#if HAVE_MADVISE && !HAVE_DECL_MADVISE && defined(__cplusplus)
+#if HAVE_MADVISE && !defined(HAVE_DECL_MADVISE) && defined(__cplusplus)
 extern "C" int madvise(void *addr, size_t len, int behav);
 #endif
 
@@ -451,7 +455,7 @@
 /* Type for fuctions that handles signals */
 #define sig_handler RETSIGTYPE
 C_MODE_START
-typedef void	(*sig_return)();/* Returns type from signal */
+typedef void	(*sig_return)(void);/* Returns type from signal */
 C_MODE_END
 #if defined(__GNUC__) && !defined(_lint)
 typedef char	pchar;		/* Mixed prototypes can take char */
@@ -599,16 +603,24 @@
 */
 
 #if defined(HAVE_LONG_LONG) && !defined(LONGLONG_MIN)
-#define LONGLONG_MIN	((long long) 0x8000000000000000LL)
-#define LONGLONG_MAX	((long long) 0x7FFFFFFFFFFFFFFFLL)
-#endif
+#if defined(INT64_MAX)
+#define LONGLONG_MAX INT64_MAX
+#else
+#define LONGLONG_MAX ((int64_t) 0x7FFFFFFFFFFFFFFFLL)
+#endif
+#if defined(INT64_MIN)
+#define LONGLONG_MIN INT64_MIN
+#else
+#define LONGLONG_MIN ((int64_t) 0x8000000000000000LL)
+#endif
+#endif /* defined(HAVE_LONG_LONG) && !defined(LONGLONG_MIN) */
 
 #if defined(HAVE_LONG_LONG) && !defined(ULONGLONG_MAX)
 /* First check for ANSI C99 definition: */
-#ifdef ULLONG_MAX
-#define ULONGLONG_MAX  ULLONG_MAX
+#if defined(UINT64_MAX)
+#define ULONGLONG_MAX  UINT64_MAX
 #else
-#define ULONGLONG_MAX ((unsigned long long)(~0ULL))
+#define ULONGLONG_MAX ((uint64_t)(~0ULL))
 #endif
 #endif /* defined (HAVE_LONG_LONG) && !defined(ULONGLONG_MAX)*/
 
@@ -673,9 +685,9 @@
   adressable obj.
 */
 #if SIZEOF_CHARP == 4
-typedef long		my_ptrdiff_t;
+typedef int32_t		my_ptrdiff_t;
 #else
-typedef long long	my_ptrdiff_t;
+typedef int64_t 	my_ptrdiff_t;
 #endif
 
 #define MY_ALIGN(A,L)	(((A) + (L) - 1) & ~((L) - 1))
@@ -746,7 +758,7 @@
 #endif
 
 #if !defined(HAVE_ULONG) && !defined(__USE_MISC)
-typedef unsigned long	ulong;		  /* Short for unsigned long */
+typedef uint32_t	ulong;		  /* Short for unsigned long */
 #endif
 #ifndef longlong_defined
 /* 
@@ -754,26 +766,18 @@
   [unsigned] long long unconditionally in many places, 
   for example in constants with [U]LL suffix.
 */
-#if defined(HAVE_LONG_LONG) && SIZEOF_LONG_LONG == 8
-typedef unsigned long long int ulonglong; /* ulong or unsigned long long */
-typedef long long int	longlong;
-#else
-typedef unsigned long	ulonglong;	  /* ulong or unsigned long long */
-typedef long		longlong;
-#endif
-#endif
+typedef uint64_t ulonglong; /* ulong or unsigned long long */
+typedef int64_t	longlong;
+#endif
+
 #ifndef HAVE_INT64
-typedef longlong int64;
+typedef int64_t int64;
 #endif
 #ifndef HAVE_UINT64
-typedef ulonglong uint64;
+typedef uint64_t uint64;
 #endif
 
-#if defined(NO_CLIENT_LONG_LONG)
-typedef unsigned long my_ulonglong;
-#else
-typedef unsigned long long my_ulonglong;
-#endif
+typedef uint64_t my_ulonglong;
 
 #if SIZEOF_CHARP == SIZEOF_INT
 typedef int intptr;

=== modified file 'include/my_sys.h'
--- include/my_sys.h	2008-07-02 14:38:50 +0000
+++ include/my_sys.h	2008-07-04 13:45:27 +0000
@@ -792,11 +792,11 @@
 
 extern time_t my_time(myf flags);
 extern ulonglong my_getsystime(void);
-extern ulonglong my_micro_time();
+extern ulonglong my_micro_time(void);
 extern ulonglong my_micro_time_and_time(time_t *time_arg);
 time_t my_time_possible_from_micro(ulonglong microtime);
 extern my_bool my_gethwaddr(uchar *to);
-extern int my_getncpus();
+extern int my_getncpus(void);
 
 #ifdef HAVE_SYS_MMAN_H
 #include <sys/mman.h>

=== modified file 'include/mysql/plugin.h'
--- include/mysql/plugin.h	2008-06-25 05:29:13 +0000
+++ include/mysql/plugin.h	2008-07-04 13:45:27 +0000
@@ -24,6 +24,8 @@
 #define MYSQL_THD void*
 #endif
 
+#include <stdint.h>
+
 #ifndef _m_string_h
 /* This definition must match the one given in m_string.h */
 struct st_mysql_lex_string
@@ -299,12 +301,12 @@
   #name, comment, check, update, &varname, def, min, max, blk }
 
 #define MYSQL_SYSVAR_LONGLONG(name, varname, opt, comment, check, update, def, min, max, blk) \
-DECLARE_MYSQL_SYSVAR_SIMPLE(name, long long) = { \
+DECLARE_MYSQL_SYSVAR_SIMPLE(name, int64_t) = { \
   PLUGIN_VAR_LONGLONG | ((opt) & PLUGIN_VAR_MASK), \
   #name, comment, check, update, &varname, def, min, max, blk }
 
 #define MYSQL_SYSVAR_ULONGLONG(name, varname, opt, comment, check, update, def, min, max, blk) \
-DECLARE_MYSQL_SYSVAR_SIMPLE(name, unsigned long long) = { \
+DECLARE_MYSQL_SYSVAR_SIMPLE(name, uint64_t) = { \
   PLUGIN_VAR_LONGLONG | PLUGIN_VAR_UNSIGNED | ((opt) & PLUGIN_VAR_MASK), \
   #name, comment, check, update, &varname, def, min, max, blk }
 
@@ -314,7 +316,7 @@
   #name, comment, check, update, &varname, def, typelib }
 
 #define MYSQL_SYSVAR_SET(name, varname, opt, comment, check, update, def, typelib) \
-DECLARE_MYSQL_SYSVAR_TYPELIB(name, unsigned long long) = { \
+DECLARE_MYSQL_SYSVAR_TYPELIB(name, uint64_t) = { \
   PLUGIN_VAR_SET | ((opt) & PLUGIN_VAR_MASK), \
   #name, comment, check, update, &varname, def, typelib }
 
@@ -349,12 +351,12 @@
   #name, comment, check, update, -1, def, min, max, blk, NULL }
 
 #define MYSQL_THDVAR_LONGLONG(name, opt, comment, check, update, def, min, max, blk) \
-DECLARE_MYSQL_THDVAR_SIMPLE(name, long long) = { \
+DECLARE_MYSQL_THDVAR_SIMPLE(name, int64_t) = { \
   PLUGIN_VAR_LONGLONG | PLUGIN_VAR_THDLOCAL | ((opt) & PLUGIN_VAR_MASK), \
   #name, comment, check, update, -1, def, min, max, blk, NULL }
 
 #define MYSQL_THDVAR_ULONGLONG(name, opt, comment, check, update, def, min, max, blk) \
-DECLARE_MYSQL_THDVAR_SIMPLE(name, unsigned long long) = { \
+DECLARE_MYSQL_THDVAR_SIMPLE(name, uint64_t) = { \
   PLUGIN_VAR_LONGLONG | PLUGIN_VAR_THDLOCAL | PLUGIN_VAR_UNSIGNED | ((opt) & PLUGIN_VAR_MASK), \
   #name, comment, check, update, -1, def, min, max, blk, NULL }
 
@@ -364,7 +366,7 @@
   #name, comment, check, update, -1, def, NULL, typelib }
 
 #define MYSQL_THDVAR_SET(name, opt, comment, check, update, def, typelib) \
-DECLARE_MYSQL_THDVAR_TYPELIB(name, unsigned long long) = { \
+DECLARE_MYSQL_THDVAR_TYPELIB(name, uint64_t) = { \
   PLUGIN_VAR_SET | PLUGIN_VAR_THDLOCAL | ((opt) & PLUGIN_VAR_MASK), \
   #name, comment, check, update, -1, def, NULL, typelib }
 
@@ -479,7 +481,7 @@
   int (*value_type)(struct st_mysql_value *);
   const char *(*val_str)(struct st_mysql_value *, char *buffer, int *length);
   int (*val_real)(struct st_mysql_value *, double *realbuf);
-  int (*val_int)(struct st_mysql_value *, long long *intbuf);
+  int (*val_int)(struct st_mysql_value *, int64_t *intbuf);
 };
 
 
@@ -493,7 +495,7 @@
 
 int thd_in_lock_tables(const MYSQL_THD thd);
 int thd_tablespace_op(const MYSQL_THD thd);
-long long thd_test_options(const MYSQL_THD thd, long long test_options);
+int64_t thd_test_options(const MYSQL_THD thd, int64_t test_options);
 int thd_sql_command(const MYSQL_THD thd);
 const char *thd_proc_info(MYSQL_THD thd, const char *info);
 void **thd_ha_data(const MYSQL_THD thd, const struct handlerton *hton);

=== modified file 'include/mysql/plugin_audit.h'
--- include/mysql/plugin_audit.h	2008-06-25 05:29:13 +0000
+++ include/mysql/plugin_audit.h	2008-07-04 13:45:27 +0000
@@ -63,8 +63,8 @@
   const char *general_query;
   unsigned int general_query_length;
   struct charset_info_st *general_charset;
-  unsigned long long general_time;
-  unsigned long long general_rows;
+  uint64_t general_time;
+  uint64_t general_rows;
 };
 
 

=== modified file 'sql/sql_class.cc'
--- sql/sql_class.cc	2008-06-25 05:29:13 +0000
+++ sql/sql_class.cc	2008-07-04 13:45:27 +0000
@@ -257,7 +257,7 @@
 }
 
 extern "C"
-long long thd_test_options(const THD *thd, long long test_options)
+int64_t thd_test_options(const THD *thd, int64_t test_options)
 {
   return thd->options & test_options;
 }

=== modified file 'sql/sql_plugin.cc'
--- sql/sql_plugin.cc	2008-06-29 15:16:28 +0000
+++ sql/sql_plugin.cc	2008-07-04 13:45:27 +0000
@@ -245,7 +245,7 @@
 }
 
 
-static int item_val_int(struct st_mysql_value *value, long long *buf)
+static int item_val_int(struct st_mysql_value *value, int64_t *buf)
 {
   Item *item= ((st_item_value_holder*)value)->item;
   *buf= item->val_int();
@@ -1561,7 +1561,7 @@
   char buff[STRING_BUFFER_USUAL_SIZE];
   const char *strvalue= "NULL", *str;
   int result, length;
-  long long tmp;
+  int64_t tmp;
 
   if (value->value_type(value) == MYSQL_VALUE_TYPE_STRING)
   {
@@ -1598,7 +1598,7 @@
                           void *save, st_mysql_value *value)
 {
   my_bool fixed;
-  long long tmp;
+  int64_t tmp;
   struct my_option options;
   value->val_int(value, &tmp);
   plugin_opt_set_limits(&options, var);
@@ -1618,7 +1618,7 @@
                           void *save, st_mysql_value *value)
 {
   my_bool fixed;
-  long long tmp;
+  int64_t tmp;
   struct my_option options;
   value->val_int(value, &tmp);
   plugin_opt_set_limits(&options, var);
@@ -1638,7 +1638,7 @@
                                void *save, st_mysql_value *value)
 {
   my_bool fixed;
-  long long tmp;
+  int64_t tmp;
   struct my_option options;
   value->val_int(value, &tmp);
   plugin_opt_set_limits(&options, var);
@@ -1674,7 +1674,7 @@
   char buff[STRING_BUFFER_USUAL_SIZE];
   const char *strvalue= "NULL", *str;
   TYPELIB *typelib;
-  long long tmp;
+  int64_t tmp;
   long result;
   int length;
 
@@ -1746,7 +1746,7 @@
   }
   else
   {
-    if (value->val_int(value, (long long *)&result))
+    if (value->val_int(value, (int64_t *)&result))
       goto err;
     if (unlikely((result >= (ULL(1) << typelib->count)) &&
                  (typelib->count < sizeof(long)*8)))

=== modified file 'sql/table.h'
--- sql/table.h	2008-06-25 05:29:13 +0000
+++ sql/table.h	2008-07-04 13:45:27 +0000
@@ -52,7 +52,7 @@
 enum frm_type_enum
 {
   FRMTYPE_ERROR= 0,
-  FRMTYPE_TABLE,
+  FRMTYPE_TABLE
 };
 
 frm_type_enum mysql_frm_type(THD *thd, char *path, enum legacy_db_type *dbt);
@@ -162,7 +162,7 @@
     to I_S tables in the table cache, which should use
     this table type.
   */
-  TABLE_CATEGORY_INFORMATION=4,
+  TABLE_CATEGORY_INFORMATION=4
 };
 typedef enum enum_table_category TABLE_CATEGORY;
 
@@ -633,7 +633,7 @@
   SCH_TABLES,
   SCH_TABLE_CONSTRAINTS,
   SCH_TABLE_NAMES,
-  SCH_VARIABLES,
+  SCH_VARIABLES
 };
 
 

=== modified file 'storage/archive/azio.h'
--- storage/archive/azio.h	2008-06-25 05:29:13 +0000
+++ storage/archive/azio.h	2008-07-04 13:45:27 +0000
@@ -63,8 +63,8 @@
 /*
   ulonglong + ulonglong + ulonglong + ulonglong + uchar
 */
-#define AZMETA_BUFFER_SIZE sizeof(unsigned long long) \
-  + sizeof(unsigned long long) + sizeof(unsigned long long) + sizeof(unsigned long long) \
+#define AZMETA_BUFFER_SIZE sizeof(uint64_t) \
+  + sizeof(uint64_t) + sizeof(uint64_t) + sizeof(uint64_t) \
   + sizeof(unsigned int) + sizeof(unsigned int) \
   + sizeof(unsigned int) + sizeof(unsigned int) \
   + sizeof(unsigned char)
@@ -225,7 +225,7 @@
 typedef enum {
   AZ_METHOD_BLOCK,
   AZ_METHOD_AIO,
-  AZ_METHOD_MAX,
+  AZ_METHOD_MAX
 } az_method;
 
 typedef struct azio_container_st azio_container_st;
@@ -264,10 +264,10 @@
   unsigned char version;   /* Version */
   unsigned char minor_version;   /* Version */
   unsigned int block_size;   /* Block Size */
-  unsigned long long check_point;   /* Last position we checked */
-  unsigned long long forced_flushes;   /* Forced Flushes */
-  unsigned long long rows;   /* rows */
-  unsigned long long auto_increment;   /* auto increment field */
+  uint64_t check_point;   /* Last position we checked */
+  uint64_t forced_flushes;   /* Forced Flushes */
+  uint64_t rows;   /* rows */
+  uint64_t auto_increment;   /* auto increment field */
   unsigned int longest_row;   /* Longest row */
   unsigned int shortest_row;   /* Shortest row */
   unsigned char dirty;   /* State of file */

=== modified file 'storage/archive/ha_archive.cc'
--- storage/archive/ha_archive.cc	2008-06-30 07:09:25 +0000
+++ storage/archive/ha_archive.cc	2008-07-04 13:45:27 +0000
@@ -994,7 +994,7 @@
   if (scan)
   {
     DBUG_PRINT("info", ("archive will retrieve %llu rows", 
-                        (unsigned long long) scan_rows));
+                        (uint64_t) scan_rows));
 
     if (read_data_header(&archive))
       DBUG_RETURN(HA_ERR_CRASHED_ON_USAGE);
@@ -1216,8 +1216,8 @@
     */
     if (!rc)
     {
-      unsigned long long x;
-      unsigned long long rows_restored;
+      uint64_t x;
+      uint64_t rows_restored;
       share->rows_recorded= 0;
       stats.auto_increment_value= 1;
       share->archive_write.auto_increment= 0;
@@ -1253,10 +1253,10 @@
     }
 
     DBUG_PRINT("info", ("recovered %llu archive rows", 
-                        (unsigned long long)share->rows_recorded));
+                        (uint64_t)share->rows_recorded));
 
     DBUG_PRINT("ha_archive", ("recovered %llu archive rows", 
-                        (unsigned long long)share->rows_recorded));
+                        (uint64_t)share->rows_recorded));
 
     if (rc && rc != HA_ERR_END_OF_FILE)
     {
@@ -1464,7 +1464,7 @@
 {
   int rc= 0;
   const char *old_proc_info;
-  unsigned long long x;
+  uint64_t x;
   DBUG_ENTER("ha_archive::check");
 
   old_proc_info= thd_proc_info(thd, "Checking table");

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-07-01 08:15:04 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-07-04 13:45:27 +0000
@@ -108,7 +108,7 @@
 	innobase_lock_wait_timeout, innobase_force_recovery,
 	innobase_open_files, innobase_autoinc_lock_mode;
 
-static long long innobase_buffer_pool_size, innobase_log_file_size;
+static int64_t innobase_buffer_pool_size, innobase_log_file_size;
 
 /* The default values for the following char* start-up parameters
 are determined in innobase_init below: */

=== modified file 'storage/innobase/include/univ.i'
--- storage/innobase/include/univ.i	2008-06-25 05:29:13 +0000
+++ storage/innobase/include/univ.i	2008-07-04 13:45:27 +0000
@@ -216,7 +216,7 @@
 typedef longlong		ib_longlong;
 #endif
 
-typedef unsigned long long int	ullint;
+typedef uint64_t 	ullint;
 
 #ifndef __WIN__
 #if SIZEOF_LONG != SIZEOF_VOIDP

